%global oname oauth
Name:          java-oauth
Version:       20100601
Release:       %mkrel 10
Summary:       An open protocol to allow API authentication
License:       ASL 2.0
Group:         Development/Java
Url:           http://code.google.com/p/oauth/
# svn export http://oauth.googlecode.com/svn/code/java oauth-20100601
# find oauth-20100601 -name "*.bat" -delete
# find oauth-20100601 -name "*.class" -delete
# find oauth-20100601 -name "*.jar" -delete
# tar czf oauth-20100601-clean-src-svn.tar.gz oauth-20100601
Source0:       oauth-20100601-clean-src-svn.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-httpclient:commons-httpclient)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)

BuildArch:     noarch

%description
An open protocol to allow API authentication
in a simple and standard method from desktop and
web applications.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{version}

%pom_remove_plugin :maven-source-plugin

%pom_disable_module core-old
%pom_disable_module example
%pom_disable_module test core
# jetty-embedded:6.1.11
%pom_remove_dep org.mortbay.jetty: core/httpclient4
%pom_remove_dep org.mortbay.jetty: core/test

%pom_xpath_set "pom:dependency[pom:groupId = 'javax.servlet']/pom:version" 3.1.0 core/provider
%pom_xpath_set "pom:dependency[pom:groupId = 'javax.servlet']/pom:artifactId" javax.servlet-api core/provider

%mvn_file :%{oname} %{oname}/%{oname}
%mvn_file :%{oname}-consumer %{oname}/%{oname}-consumer
%mvn_file :%{oname}-httpclient3 %{oname}/%{oname}-httpclient3
%mvn_file :%{oname}-httpclient4 %{oname}/%{oname}-httpclient4
%mvn_file :%{oname}-provider %{oname}/%{oname}-provider

%build

# unavailable test deps
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 20100601-10.mga6
+ Revision: 982618
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 20100601-9.mga6
+ Revision: 980545
- First rebuild of the java stack
- sync package java-oauth with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20100601-8.mga5
+ Revision: 739901
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 20100601-6.mga4
+ Revision: 557598
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20100601-4.mga3
+ Revision: 354802
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 20100601-3.mga3
+ Revision: 292601
- imported package java-oauth


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100601-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 24 2012 gil cattaneo <puntogil@libero.it> 20100601-2
- renamed java-oauth
- moved all of the jar files into oauth subdirectory

* Fri May 11 2012 gil cattaneo <puntogil@libero.it> 20100601-1
- initial rpm

